%define  upstream_name Symfony2_Yaml
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	2.4.4
Release:	%mkrel 4
Summary:	The Symfony2 YAML Component
License:	MIT
Group:		Development/PHP
URL: 		http://pear.symfony.com/package/Yaml
Source0: 	http://pear.symfony.com/get/Yaml-%{version}.tgz
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-symfony2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-channel-symfony2
Obsoletes:	php-symfony-YAML
BuildArch:	noarch

%description
Symfony2 Yaml Component

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Yaml.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Yaml.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.symfony.com/Yaml
fi

%files
%doc docs/Yaml/*
%{peardir}/*
%{xmldir}/Yaml.xml



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 2.4.4-4.mga6
+ Revision: 947216
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.4-3.mga5
+ Revision: 745956
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.4-2.mga5
+ Revision: 687477
- Mageia 5 Mass Rebuild

* Fri Jun 13 2014 spuhler <spuhler> 2.4.4-1.mga5
+ Revision: 635997
- upgrade to ver. 2.4.4

* Tue Oct 22 2013 umeabot <umeabot> 2.3.6-2.mga4
+ Revision: 545232
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 2.3.6-1.mga4
+ Revision: 500934
- imported package php-pear-Symfony2_Yaml

